Skip to main content
`Ctrl`+`K`

# PetscLogDefaultBegin

Turns on logging of objects and events using the default log handler. This logs flop rates and object creation and should not slow programs down too much. This routine may be called more than once.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogDefaultBegin(void)

Logically Collective on `PETSC_COMM_WORLD`

## Options Database Key

- -log_view [viewertype:filename:viewerformat] - Prints summary of flop and timing information to the screen (for code configured with –with-log=1 (which is the default))

## Example Usage

          PetscInitialize(...);
          PetscLogDefaultBegin();
           ... code ...
          PetscLogView(viewer); or PetscLogDump();
          PetscFinalize();

## Note

`PetscLogView()` or `PetscLogDump()` actually cause the printing of the logging information.

## See Also

Profiling, `PetscLogDump()`, `PetscLogView()`, `PetscLogTraceBegin()`

## Level

advanced

## Location

src/sys/logging/plog.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages